//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//
package de.frankmuenster.hibiscus.mahoe.pdfextractor;

/**
 * Exception class for invalid card number
 * 
 * @author Frank Mnster
 * 
 */
public class InvalidCardNumber extends Exception {

	/**
	 * Die serialUID
	 */
	private static final long serialVersionUID = 8800710270769987087L;

	/**
	 * Standard constructor for Exception class
	 * 
	 * @param string
	 *            error text
	 */
	public InvalidCardNumber(final String string) {
		super(string);
	}
}
